Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Can't update EGit(Update fails due to missing repositories)
Can't update EGit [message #1817436] Fri, 22 November 2019 06:39 Go to next message
Reinhardt Christiansen is currently offline Reinhardt ChristiansenFriend
Messages: 73
Registered: March 2010
Member
I'm running Eclipse 2019-03 on Windows 10. Eclipse offered me some updates to EGit and some other components and I told it to proceed after agreeing to the license terms. The install failed very early on. This was a couple of days ago but I was slammed so I let it slide. Just now, I tried it again and the same thing happened. Here's a copy/paste of the error information:

An error occurred while collecting items to be installed
session context was:(profile=C__Users_Reinh_eclipse_java-2019-03_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.sun.jna,4.5.1.v20190425-1842
No repository found containing: osgi.bundle,com.sun.jna.platform,4.5.1.v20190425-1842
No repository found containing: osgi.bundle,org.apache.sshd.sftp,2.2.0.v20190425-2127
No repository found containing: osgi.bundle,org.bouncycastle.bcpg,1.61.0.v20190602-1335
No repository found containing: osgi.bundle,org.bouncycastle.bcpkix,1.61.0.v20190602-1335
No repository found containing: osgi.bundle,org.bouncycastle.bcprov,1.61.0.v20190602-1335
No repository found containing: osgi.bundle,org.eclipse.egit,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.egit.core,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.egit.doc,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.egit.mylyn.ui,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.egit.ui,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core,1.7.7.v20190521-1752
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core.win32,1.7.7.v20190521-1752
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.help.ui,1.7.7.v20190521-1752
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui,1.7.7.v20190521-1752
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui.css,1.7.7.v20190521-1752
No repository found containing: osgi.bundle,org.eclipse.jgit,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.jgit.archive,5.5.1.201910021850-r
No repository found containing: osgi.bundle,org.eclipse.jgit.ssh.apache,5.5.1.201910021850-r
No repository found containing: osgi.bundle,com.jcraft.jsch,0.1.55.v20190404-1902
No repository found containing: osgi.bundle,org.apache.sshd.osgi,2.2.0.v20190425-2127
No repository found containing: org.eclipse.update.feature,org.eclipse.egit,5.5.1.201910021850-r
No repository found containing: org.eclipse.update.feature,org.eclipse.egit.mylyn,5.5.1.201910021850-r
No repository found containing: org.eclipse.update.feature,org.eclipse.epp.mpc,1.7.7.v20190521-1752
No repository found containing: org.eclipse.update.feature,org.eclipse.jgit,5.5.1.201910021850-r
No repository found containing: org.eclipse.update.feature,org.eclipse.jgit.ssh.apache,5.5.1.201910021850-r

Can someone tell me what to do about this?
Re: Can't update EGit [message #1817491 is a reply to message #1817436] Sat, 23 November 2019 18:33 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1138
Registered: July 2009
Senior Member
Open "Help > Install New Software... > Manage" and check if the URLs you are trying to install from use https.
For EGit this should look like for the update site for the latest release and the latest nightly build (note the use of https):

https://download.eclipse.org/egit/updates
https://download.eclipse.org/egit/updates-nightly

if it's using http instead of https try to change that, restart Eclipse and try to install/update again.
If this doesn't help you can try to set [1]

-Declipse.p2.mirrors=false

at the end of the -vmargs section in the eclipse.ini of your Eclipse installation. In case you
are victim of a stale Eclipse download mirror this should fix the issue. Note that it is not
recommended to keep this setting forever since this shortcuts use of the Eclipse mirrors
which may impact download performance if many users don't use mirrors. In that case
file a bug on [2] and ask the Eclipse webmaster to check the mirrors for stale data.

[1] https://wiki.eclipse.org/Equinox/p2/p2.mirrorsURL
[2] https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Community&component=servers
Re: Can't update EGit [message #1820868 is a reply to message #1817491] Thu, 30 January 2020 20:43 Go to previous messageGo to next message
Clark Thomborson is currently offline Clark ThomborsonFriend
Messages: 1
Registered: January 2020
Junior Member
I have a similar problem with updating egit in Eclipse 2019-09.

I have tried some of the (many!) suggestions at StackOverflow question 6470802/what-to-do-about-eclipses-no-repository-found-containing-error-messages. (Sorry, as a newbie to eclipse.org, I'm not allowed to include external links in my posts so you'll have to construct your own URL if you want to read those suggestions & discussion.)

I have tried all three options on https://www.eclipse.org/egit/download/.

I plan to nuke my current installation of Eclipse and try my luck with a different version.

But... just in case it helps someone to localise & repair the defect, I have attached some screenshots, my Help/About Eclipse IDE/Installation Details/Configuration, and my error log.

Re: Can't update EGit [message #1821034 is a reply to message #1820868] Tue, 04 February 2020 16:58 Go to previous message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1138
Registered: July 2009
Senior Member
if you increase the window size of the installation dialog there should be more details shown about which conflicts are preventing the upgrade
Previous Topic:Immediate and reproducible stack overflow on "Synchronize Workspace"
Next Topic:Cannot connect to a git server using JGit
Goto Forum:
  


Current Time: Mon May 25 22:23:40 GMT 2020

Powered by FUDForum. Page generated in 0.01790 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top